Previous Next JavaScript must be enabled to correctly display this content

## Fetch Ratio Method details for Branch

get

/pool/ratio-details

This endpoint is used to fetch ratio method details for branch.

### Request

Supported Media Types

- application/json
- application/xml

Query Parameters

- branchCode: string
  Branch Code for fetching Ratio Details

Back to Top

### Response

Supported Media Types

- application/json
- application/xml

#### 200 Response

Returns Ratio Method Details
Headers

- Location: string

Body ()
Root Schema : RatioDetailCollection
Type: `object`
Collection of Ratio Method Details.
Show Source

- data(optional): array data

    {
        "description":"Collection of Ratio Method Details.",
        "type":"object",
        "properties":{
            "data":{
                "type":"array",
                "items":{
                    "$ref":"#/definitions/RatioDetailDTO"
                }
            }
        }
    }

Nested Schema : data
Type: `array`
Show Source

- Array of: object RatioDetailDTO

    {
        "type":"array",
        "items":{
            "$ref":"#/definitions/RatioDetailDTO"
        }
    }

Nested Schema : RatioDetailDTO
Type: `object`
Show Source

- accountNumber(optional): string
  Account Number
- branchCode(optional): string
  Branch Code
- coverageRatio(optional): number
  Coverage Ratio
- netPoolPosition(optional): number
  Net Pool Position

    {
        "type":"object",
        "properties":{
            "accountNumber":{
                "type":"string",
                "description":"Account Number"
            },
            "branchCode":{
                "type":"string",
                "description":"Branch Code"
            },
            "netPoolPosition":{
                "type":"number",
                "description":"Net Pool Position"
            },
            "coverageRatio":{
                "type":"number",
                "description":"Coverage Ratio"
            }
        }
    }

#### 400 Response

Malformed syntax.

#### 401 Response

Request does not have sufficient credentials.

#### 403 Response

Request is not authorized.

#### 405 Response

Invalid input

#### 500 Response

Internal error
Back to Top